Index: trunk/info/info/alkisn/alkislage.php
===================================================================
--- trunk/info/info/alkisn/alkislage.php	(revision 425)
+++ trunk/info/info/alkisn/alkislage.php	(revision 427)
@@ -2,5 +2,7 @@
 /*	alkislage.php
 
-	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+	ALKIS-Auskunft
+	Author: Frank JÃ€ger, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo)
+
 	Kann die 3 Arten von Lagebezeichnung anzeigen und verbundene Objekte verlinken
 
@@ -13,9 +15,10 @@
 	2021-12-09 Neue Parameter: $katAmtMix (Kataster-Amt-Mix), $PrntBtn (Drucken-SchaltflÃ€che)
                Gemarkung und Flur bei Gruppenwechsel FETT anzeigen
-
-	ToDo:
+	2022-01-12 Neue Functions LnkStf(), DsKy()
+
+ToDo:
 	- Balken-Kennzeichen kompatibel machen mit der Eingabe der Navigation fÃŒr Adresse
 	- das Modul "alkisgebaeudenw" (alle Geb. auf einem FS) verschneidet die FlÃ€chen und findet damit auch 
-	Grenz-Uberbauungen und angrenzende GebÃ€ude. Diese fehlen hier, weil nur VerknÃŒpfungen verarbeitet werden.
+	Grenz-Ãberbauungen und angrenzende GebÃ€ude. Diese fehlen hier, weil nur VerknÃŒpfungen verarbeitet werden.
 	Mit FlÃ€chen-Verschneidung auch weitere FS anzeigen?
 */
@@ -45,9 +48,9 @@
 
 switch ($ltyp) {
-	case "m": // "Mit HsNr" = Hauptgebaeude
+	case "m": // "Mit HsNr" = HauptgebÃ€ude
 		$tnam = "ax_lagebezeichnungmithausnummer"; break;
-	case "p": // "mit PseudoNr" = Nebengebaeude
-		$tnam = "ax_lagebezeichnungmitpseudonummer";	break;
-	case "o": //"Ohne HsNr" = Gewanne oder Strasse
+	case "p": // "mit PseudoNr" = NebengebÃ€ude
+		$tnam = "ax_lagebezeichnungmitpseudonummer"; break;
+	case "o": //"Ohne HsNr" = Gewanne oder StraÃe
 		$tnam = "ax_lagebezeichnungohnehausnummer"; break;
 	default:
@@ -69,8 +72,5 @@
 
 $erlaubnis = darf_ich(); if ($erlaubnis === 0) { die('<p class="stop1">Abbruch</p></body>'); }
-$dbg=$debug; // CONF in Arbeits-Variable
-
-// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
-// Wirkt temporÃ€r und wird nicht in Links weiter gereicht.
+$dbg=$debug;
 if ($nodebug === "j") {$dbg=0;} 
 
@@ -173,5 +173,5 @@
 echo "\n<h2>Lagebezeichnung</h2>\n<p>Typ: ".$untertitel."</p>";
 echo "\n<table class='outer'>\n<tr>\n\t<td>"; 	// Tab. Kennz.
-	// ToDo: kleiner, wenn ltyp=0 und die Schluesselfelder leer sind
+	// ToDo: kleiner, wenn ltyp=0 und die SchlÃŒsselfelder leer sind
 	echo "\n\t\t<table class='kennzla' title='Lage'>"
 		."\n\t\t<tr>";
@@ -199,23 +199,9 @@
 		echo "\n\t\t</tr>\n\t\t<tr>";
 			if ($osub != "g") { // nicht bei Gewanne
-
-				echo "\n\t\t\t<td title='Bundesland'>";
-				if ($showkey) {echo "<span class='key'>".$land."</span><br>";}
-				echo $bnam."&nbsp;</td>";
-
-				echo "\n\t\t\t<td title='Regierungsbezirk'>";
-				if ($showkey) {echo "<span class='key'>".$regbez."</span><br>";}
-				echo $rnam."&nbsp;</td>";
-
-				echo "\n\t\t\t<td title='Kreis'>";
-				if ($showkey and $osub != "g") {echo "<span class='key'>".$kreis."</span><br>";}
-				echo $knam."&nbsp;</td>";
-
-				echo "\n\t\t\t<td title='Gemeinde'>";
-				if ($showkey and $osub != "g") {echo "<span class='key'>".$gem."</span><br>";}
-				echo $gnam."&nbsp;</td>";
-
-				echo "\n\t\t\t<td title='Stra&szlig;e'>";
-				if ($showkey and $osub != "g") {echo "<span class='key'>".$lage."</span><br>";}
+				echo "\n\t\t\t<td title='Bundesland'>".DsKy($land, 'Bundesland-*').$bnam."&nbsp;</td>"
+				."\n\t\t\t<td title='Regierungsbezirk'>".DsKy($regbez, 'Regierungsbezirk-*').$rnam."&nbsp;</td>"
+				."\n\t\t\t<td title='Kreis'>".DsKy($kreis, 'Kreis-*').$knam."&nbsp;</td>"
+				."\n\t\t\t<td title='Gemeinde'>".DsKy($gem, 'Gemeinde-*').$gnam."&nbsp;</td>"
+				."\n\t\t\t<td title='Stra&szlig;e'>".DsKy($lage, 'Stra&szlig;en-*');
 				if ($ltyp === "o") {
 					echo "<span class='wichtig'>".$snam."</span>";
@@ -248,14 +234,12 @@
 	if ($osub != "g") { // Link zu Strasse
 		echo "\n\t\t<p class='nwlink noprint'>"
-			."\n\t\t\t<a href='alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$strgml;
-			if ($showkey) {echo "&amp;showkey=j";}
-			echo "' title='Stra&szlig;e'>Stra&szlig;e <img src='ico/Strassen.png' width='16' height='16' alt=''></a>"
+			."\n\t\t\t<a href='alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$strgml.LnkStf()
+			."' title='Stra&szlig;e'>Stra&szlig;e <img src='ico/Strassen.png' width='16' height='16' alt=''></a>"
 		."\n\t\t</p>";
 	}
 
 echo "\n\t</td>\n</tr>\n</table>";
-// Ende Seitenkopf
-
-// F L U R S T U E C K E
+
+// F L U R S T Ã C K E
 // ax_Flurstueck  >weistAuf>  ax_LagebezeichnungMitHausnummer
 // ax_Flurstueck  >zeigtAuf>  ax_LagebezeichnungOhneHausnummer
@@ -304,6 +288,5 @@
 
 		echo "\n<tr class='".$trclass."'>"
-			."\n\t<td>";
-			if ($showkey) {echo "<span class='key'>".$rowf["gemarkungsnummer"]."</span> ";}
+			."\n\t<td>".DsKy($rowf["gemarkungsnummer"], 'Gemarkungsnummer');
 			if ($gwgmkg != $gmkg) {
 				echo "<b>".$gmkg."</b></td>";
@@ -322,7 +305,6 @@
 			."\n\t<td class='fla'>".$flae."</td>"
 			."\n\t<td>\n\t\t<p class='nwlink noprint'>"
-				."\n\t\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"]."&amp;eig=n";
-				if ($showkey) {echo "&amp;showkey=j";}
-				echo "' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''></a>"
+				."\n\t\t\t<a href='alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$rowf["gml_id"].LnkStf()."&amp;eig=n"
+				."' title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck <img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''></a>"
 			."\n\t\t</p>\n\t</td>"
 		."\n</tr>";
@@ -339,8 +321,5 @@
 	."\n<p>Andere Lagebezeichnungen zur gleichen Hausnummer.</p>";
 	$whereclaus="WHERE land= $1 AND regierungsbezirk= $2 AND kreis= $3 AND gemeinde= $4 AND lage= $5 ";
-
-	$url=selbstverlinkung()."?gkz=".$gkz; // Basis
-	if ($showkey) {$url.="&amp;showkey=j";}
-	$url.="&amp;gmlid=";
+	$url=selbstverlinkung()."?gkz=".$gkz.LnkStf()."&amp;gmlid="; // Basis
 
 	switch ($ltyp) {
@@ -360,5 +339,5 @@
 			$neb=0;
 			while($row = pg_fetch_assoc($res)) {
-				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
+				echo "\n\t<a href='".$url.$row["gml_id"].LnkStf()."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
 				$neb++;
 			}
@@ -378,5 +357,5 @@
 			$hg=0;
 			while($row = pg_fetch_assoc($res)) {
-				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=m'>Haus-Nr ".$pseu."</a>&nbsp;&nbsp;";
+				echo "\n\t<a href='".$url.$row["gml_id"].LnkStf()."&amp;ltyp=m'>Haus-Nr ".$pseu."</a>&nbsp;&nbsp;";
 				$hg++;
 			}
@@ -396,5 +375,5 @@
 			$neb=0;
 			while($row = pg_fetch_assoc($res)) {
-				echo "\n\t<a href='".$url.$row["gml_id"]."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
+				echo "\n\t<a href='".$url.$row["gml_id"].LnkStf()."&amp;ltyp=p'>lfd.-Nr ".$row["laufendenummer"]."</a>&nbsp;&nbsp;";
 				$neb++;
 			}
@@ -405,5 +384,5 @@
 }
 
-// G E B A E U D E
+// G E B Ã U D E
 if ($ltyp != "o") { // OhneHsNr linkt nur Flurst.
 	echo "\n\n<a id='geb'></a>\n<h3><img src='ico/Haus.png' width='16' height='16' alt=''> Geb&auml;ude</h3>"
@@ -444,25 +423,13 @@
 		$gfla=$row["flaeche"];
 		echo "\n<tr>"
-			."\n\t<td>".$row["name"]."</td>"
-			."\n\t<td class='fla'>".$gfla." m&#178;</td>";
-
-			echo "\n\t<td title='".htmlentities($row["ud"], ENT_QUOTES, "UTF-8")."'>";
-			if ($showkey) {echo "<span class='key'>".htmlentities($row["gebaeudefunktion"], ENT_QUOTES, "UTF-8")."</span> ";}
-			echo $row["uv"]."</td>";
-
-			echo "\n\t<td title='".htmlentities($row["hd"], ENT_QUOTES, "UTF-8")."'>";
-			if ($showkey) {echo "<span class='key'>".htmlentities($row["bauweise"], ENT_QUOTES, "UTF-8")."</span> ";}
-			echo $row["hv"]."</td>";
-				
-			echo "\n\t<td title='".htmlentities($row["zd"] , ENT_QUOTES, "UTF-8")."'>";
-			if ($showkey) {echo "<span class='key'>".htmlentities($row["zustand"], ENT_QUOTES, "UTF-8")."</span> ";}
-			echo $row["zv"]."</td>";
-
-			echo "\n\t<td class='nwlink noprint'>"
-				."\n\t\t<a title='komplette Hausdaten' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml;
-				if ($showkey) {echo "&amp;showkey=j";}
-				echo "'>Haus <img src='ico/Haus.png' width='16' height='16' alt=''></a>"
-			."\n\t</td>"
-		."\n</tr>";
+		."\n\t<td>".$row["name"]."</td>"
+		."\n\t<td class='fla'>".$gfla." m&#178;</td>"
+		."\n\t<td title='".htmlentities($row["ud"], ENT_QUOTES, "UTF-8")."'>".DsKy($row["gebaeudefunktion"], 'Geb&auml;udefunktion-*').$row["uv"]."</td>"
+		."\n\t<td title='".htmlentities($row["hd"], ENT_QUOTES, "UTF-8")."'>".DsKy($row["bauweise"], 'Bauweise-*').$row["hv"]."</td>"
+		."\n\t<td title='".htmlentities($row["zd"], ENT_QUOTES, "UTF-8")."'>".DsKy($row["zustand"], 'Zustand-*').$row["zv"]."</td>"
+		."\n\t<td class='nwlink noprint'>"
+			."\n\t\t<a title='komplette Hausdaten' href='alkishaus.php?gkz=".$gkz."&amp;gmlid=".$ggml.LnkStf()
+			."'>Haus <img src='ico/Haus.png' width='16' height='16' alt=''></a>"
+		."\n\t</td>\n</tr>";
 	}
 	echo "\n</table>";
